Bug 5595 - drpython не запускается
: drpython не запускается
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/drpython)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-12-01 18:26 by
Modified: 2005-07-13 15:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-12-01 18:26:23
Запускаем drpython свежепоставленный при помощи apt-get

$ drpython 
Traceback (most recent call last):
  File "drpython.pyw", line 36, in ?
    app = drpython.DrApp(0)
  File "/usr/lib/python2.3/site-packages/wxPython/wx.py", line 1951, in
__init__
    _wxStart(self.OnInit)
  File "/usr/share/drpython/drpython.py", line 3696, in OnInit
    self.frame = DrFrame(None, 101, "DrPython - Untitled 1")
  File "/usr/share/drpython/drpython.py", line 852, in __init__
    self.mdinotebook = drNotebook(self, -1, wx.DefaultPosition,
wx.Size(WindowWidth, WindowHeight), wx.CLIP_CHILDREN)
  File "/usr/share/drpython/drpython.py", line 91, in __init__
    self.Bind(wx.EVT_LEFT_DOWN, self.OnFindFocus)
AttributeError: drNotebook instance has no attribute 'Bind'
------- Comment #1 From 2004-12-03 21:34:43 -------
fixed in drpython-3.6.12-alt2 
(обновлена библиотека wxPythonGTK - пакет python-module-wx-2.5.3.1-alt1) 
------- Comment #2 From 2005-03-10 13:27:42 -------
исправлено